解决Cannot change version of project facet Dynamic
博客专区 > de_c 的博客 > 博客详情
解决Cannot change version of project facet Dynamic
de_c 发表于2年前
解决Cannot change version of project facet Dynamic
  • 发表于 2年前
  • 阅读 2
  • 收藏 0
  • 点赞 1
  • 评论 0

【腾讯云】如何购买服务器最划算?>>>   

摘要: 这个问题是maven项目的版本问题,具体解决方法如下

Cannot change version of project facet Dynamic Web Module to 2.5 问题的解决方法

解决方法:

1.  首先让我们先了解一下Web Module Version是什么意思?
        每次在创建一个web项目时,都会同时让你选择Web Module Version, Dynamic web module version表示的是所建web工程的版本,不同版本的web项目有不同的应用环境。例如,3.0的web项目就不能部署在JBoss5以及早起的服务器上。
2.  查看web module version,可以在该项目——properties——project  Facets里面可以查看version的版本。

3.  一般情况下,我们都是建项目,写代码,然后再部署运行的。到最后因为版本问题无法部署的情况下怎么办?重新建项目,然后导代码,这太麻烦了。

           一般的处理情况:在项目的硬盘目录中,找到.setting文件夹下的org.eclipse.wst.common.project.facet.core.xml文件,修改<installed facet="jst.web" version=" 可用的版本"/>即可。

参考:http://blog.csdn.net/liusong0605/article/details/8846889

           

http://blog.csdn.net/lushuaiyin/article/details/7485440

           

http://www.cnblogs.com/yezhenhan/archive/2011/10/17/2215279.html

           

http://stackoverflow.com/questions/18122336/cannot-change-version-of-project-facet-dynamic-web-module-to-3-0

共有 人打赏支持
粉丝 0
博文 4
码字总数 734
×
de_c
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: